Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 586300 - dev-lang/tcl-8.6.6, dev-lang/tk-8.6.6, dev-tcltk/itcl-4.0.3 and dev-tcltk/itk-4.0.1 stabilization request (see comment #4 for the list)
Summary: dev-lang/tcl-8.6.6, dev-lang/tk-8.6.6, dev-tcltk/itcl-4.0.3 and dev-tcltk/itk...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: TCL/TK Project
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on: 547322 554260
Blocks:
  Show dependency tree
 
Reported: 2016-06-18 16:48 UTC by Hanno Böck
Modified: 2017-01-17 14:31 UTC (History)
1 user (show)

See Also:
Package list:
=dev-lang/tcl-8.6.6 amd64 hppa ia64 ppc ppc64 sparc x86 =dev-lang/tk-8.6.6 amd64 hppa ia64 ppc ppc64 sparc x86 =dev-tcltk/itcl-4.0.3 amd64 ia64 ppc sparc x86 =dev-tcltk/itk-4.0.1 amd64 ia64 ppc sparc x86
Runtime testing required: Yes
zlg: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Hanno Böck gentoo-dev 2016-06-18 16:48:20 UTC
I wanted to ask whether tcl 8.6 is ready for stabilization.

Currently there is tracker bug #451368 for issues with tcl 8.6. It has three open dependencies, one only affects an overlay, one regarding ruby seems already fixed, one is for gnu-smalltalk, which seems it hasn't received a bump for several years, so not sure if this should be a blocker.

What needs to happen so we can proceed with tcl 8.6 stabilization? (Also please note that the latest 8.5.x fixes versions have not been bumped in gentoo - if the 8.6 stabilization won't happen soon maybe they should be bumped.)
Comment 1 zlg (RETIRED) gentoo-dev 2016-06-21 09:17:14 UTC
The dev-lang/gnu-smalltalk issue is due to upstream's misuse of the Tcl API, so that's not really a blocker. I've added comments and attachments to that bug to give users of gnu-smalltalk a (temporary) path forward. Patching it "correctly" is non-trivial and honestly not our responsibility, since the GNU Smalltalk team will need to update their code if they wish to depend on later Tcl versions.

The science-overlay bug relates to, again, a consumer of Tcl and not Tcl itself. Their homegrown patch supposedly works; when I attempted to install mgltools-pmv to test, I got a 'missing blas library' error when building umfpack, a dependency of mgltools-pmv, indicating to me that their dependencies aren't straight yet. It's an experimental overlay (despite official status) and it's not realistic for me to test those ebuilds unless I can get to a point where the software will actually run.

I'm starting a new job in a few days so I'll have less time to devote to this, but based on what I see, only the file permissions bug (bug 554260) is relevant to blocking Tcl stabilization.
Comment 2 Pacho Ramos gentoo-dev 2016-10-15 09:33:43 UTC
This should be ok to go finally
Comment 3 Pacho Ramos gentoo-dev 2016-10-28 17:20:52 UTC
Were the reverse deps tested or we need to retest the reverse packages in stable to ensure they are all ready for 8.6?
Comment 4 Pacho Ramos gentoo-dev 2016-11-27 12:30:24 UTC
dev-lang/tcl-8.6.6: alpha amd64 arm hppa ia64 ppc ppc64 sparc x86
dev-lang/tk-8.6.6: alpha amd64 arm hppa ia64 ppc ppc64 sparc x86
dev-tcltk/itcl-4.0.3: alpha amd64 ia64 ppc sparc x86
dev-tcltk/itk-4.0.1: alpha amd64 ia64 ppc sparc x86
Comment 5 Tobias Klausmann gentoo-dev 2016-11-27 20:23:03 UTC
Stable on alpha.
Comment 6 Markus Meier gentoo-dev 2016-12-26 12:40:03 UTC
arm stable
Comment 7 Agostino Sarubbo gentoo-dev 2016-12-28 08:46:46 UTC
Dear Maintainer (or who is mainly involved in this stable request),

This is an auto-generated message that will move the current component to the new component Stabilization.
To ensure that the stabilization will proceed correctly, please fill the fields "Atoms to stabilize" and "Runtime testing required" as described here:
https://archives.gentoo.org/gentoo-dev/message/4b2ef0e9aa7588224b8ae799c5fe31fa
Comment 8 zlg (RETIRED) gentoo-dev 2016-12-30 01:39:30 UTC
Filled out the stabilization form; alpha and arm were not included in the above form because they've already stabilized these packages.

Extensive testing isn't really needed: enough to verify that they work and you can output something (or that they're compatible with a sufficiently complex tcl/tk application like gitk) should be good.
Comment 9 Agostino Sarubbo gentoo-dev 2016-12-31 22:21:24 UTC
amd64 stable
Comment 10 Toralf Förster gentoo-dev 2017-01-01 10:01:40 UTC
The "WARN: postinst" 

"If you have dev-lang/tk and dev-tcltk/tclx installed you should
upgrade them before this recompilation, too
"

advices the opposite of what emerge is doing:

Calculating dependencies  . ... done!
[ebuild  rR    ] dev-vcs/git-2.10.2 
[ebuild  r  U  ]  dev-lang/tk-8.6.6 [8.5.17] USE="threads*" ABI_X86="(64%*) -32% (-x32)" 
[ebuild  r  U  ]   dev-lang/tcl-8.6.6 [8.5.17] USE="threads*"
Comment 11 Agostino Sarubbo gentoo-dev 2017-01-01 12:51:02 UTC
ppc stable
Comment 12 Agostino Sarubbo gentoo-dev 2017-01-02 09:57:07 UTC
x86 stable
Comment 13 Agostino Sarubbo gentoo-dev 2017-01-03 10:43:21 UTC
ppc64 stable
Comment 14 Agostino Sarubbo gentoo-dev 2017-01-11 10:43:24 UTC
sparc stable
Comment 15 Jeroen Roovers gentoo-dev 2017-01-14 13:37:28 UTC
Stable for HPPA.
Comment 16 Agostino Sarubbo gentoo-dev 2017-01-17 14:31:07 UTC
ia64 stable. Closing.